--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: from_source_index
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: Gem::DependencyList
includes: 
- !ruby/object:RI::IncludedModule 
  name: TSort
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add
- !ruby/object:RI::MethodSummary 
  name: dependency_order
- !ruby/object:RI::MethodSummary 
  name: find_name
- !ruby/object:RI::MethodSummary 
  name: ok?
- !ruby/object:RI::MethodSummary 
  name: ok_to_remove?
- !ruby/object:RI::MethodSummary 
  name: remove_by_name
- !ruby/object:RI::MethodSummary 
  name: spec_predecessors
- !ruby/object:RI::MethodSummary 
  name: tsort_each_child
- !ruby/object:RI::MethodSummary 
  name: tsort_each_node
name: DependencyList
superclass: Object
